local hookslib = require("ui.hooks")
local stopwatchlib = require("core.stopwatch")
local runlistlib = require("core.runlist")
local runList = runlistlib.RunList.New(true)
hookslib.Install(hookslib.GetTranslatedHookName("FRAME_END"), function(lvl)
  runList:Update(lvl:GetUnitTime())
end)
local New = function(...)
  local T = stopwatchlib.Stopwatch.New(runList, ...)
  return T
end
return {New = New}
